# coding: utf-8

"""
    VMware Aria Automation Assembler IaaS API

    IAAS API is a RESTful service, which allows users to execute provisioning related UI actions via an API.  This page describes the RESTful APIs for IAAS API. The APIs facilitate CRUD operations on the various resources and entities used throughout VMware Aria Automation Assembler(Cloud Accounts, Cloud zones, Computes, Mappings, etc.) and allows operations on them (creating a cloud account, patching a machine, creating image progile, etc.).  The APIs that list collections of resources also support OData like implementation. Below query params can be used across different IAAS API endpoints  Example: 1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.     ```/iaas/api/cloud-accounts?$orderby=name%20desc```  2. `$top` -  number of records you want to get.     ```/iaas/api/cloud-accounts?$top=20```  3. `$skip` -  number of records you want to skip.      ```/iaas/api/cloud-accounts?$skip=10```  4. `$select` - select a subset of properties to include in the response.        ```/project-service/api/projects?$top=10&$skip=2```  5. `$filter` -  filter the results by a specified predicate expression. Operators: eq, ne, and, or.\\     ```/iaas/api/cloud-accounts?$filter=name%20eq%20'ABC*'``` - name starts with 'ABC'\\     ```/iaas/api/cloud-accounts?$filter=name%20eq%20'*ABC*'``` - name contains 'ABC'\\     ```/iaas/api/cloud-accounts?$filter=name%20eq%20'*ABC'``` - name ends with 'ABC'\\     /iaas/api/projects and /iaas/api/deployments support different format for partial match:\\     ```/iaas/api/projects?$filter=startswith(name, 'ABC')``` - name starts with 'ABC'\\     ```/iaas/api/projects?$filter=substringof('ABC', name``` - name contains 'ABC'\\     ```/iaas/api/projects?$filter=endswith(name, 'ABC')``` - name ends with 'ABC'\\     ```/iaas/api/cloud-accounts?$filter=name%20ne%20'example-cloud-account'%20or%20customProperties.isExternal%20eq%20'false'```  6. `$count` -  flag which when specified, regardless of the assigned value, shows the total number of records. If the collection has a filter it shows the number of records matching the filter.\\     ```/iaas/api/cloud-accounts?$count=true```   # noqa: E501

    OpenAPI spec version: 2021-07-15
    Contact: sales@vmware.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponse400(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'provider_id': 'str',
        'provider_name': 'str',
        'provider_version': 'str',
        'logo_icon': 'list[str]',
        'bundle_id': 'str',
        'integration_type': 'str',
        'message': 'str'
    }

    attribute_map = {
        'provider_id': 'providerId',
        'provider_name': 'providerName',
        'provider_version': 'providerVersion',
        'logo_icon': 'logoIcon',
        'bundle_id': 'bundleId',
        'integration_type': 'integrationType',
        'message': 'message'
    }

    def __init__(self, provider_id=None, provider_name=None, provider_version=None, logo_icon=None, bundle_id=None, integration_type=None, message=None):  # noqa: E501
        """InlineResponse400 - a model defined in Swagger"""  # noqa: E501
        self._provider_id = None
        self._provider_name = None
        self._provider_version = None
        self._logo_icon = None
        self._bundle_id = None
        self._integration_type = None
        self._message = None
        self.discriminator = None
        if provider_id is not None:
            self.provider_id = provider_id
        if provider_name is not None:
            self.provider_name = provider_name
        if provider_version is not None:
            self.provider_version = provider_version
        if logo_icon is not None:
            self.logo_icon = logo_icon
        if bundle_id is not None:
            self.bundle_id = bundle_id
        if integration_type is not None:
            self.integration_type = integration_type
        if message is not None:
            self.message = message

    @property
    def provider_id(self):
        """Gets the provider_id of this InlineResponse400.  # noqa: E501


        :return: The provider_id of this InlineResponse400.  # noqa: E501
        :rtype: str
        """
        return self._provider_id

    @provider_id.setter
    def provider_id(self, provider_id):
        """Sets the provider_id of this InlineResponse400.


        :param provider_id: The provider_id of this InlineResponse400.  # noqa: E501
        :type: str
        """

        self._provider_id = provider_id

    @property
    def provider_name(self):
        """Gets the provider_name of this InlineResponse400.  # noqa: E501


        :return: The provider_name of this InlineResponse400.  # noqa: E501
        :rtype: str
        """
        return self._provider_name

    @provider_name.setter
    def provider_name(self, provider_name):
        """Sets the provider_name of this InlineResponse400.


        :param provider_name: The provider_name of this InlineResponse400.  # noqa: E501
        :type: str
        """

        self._provider_name = provider_name

    @property
    def provider_version(self):
        """Gets the provider_version of this InlineResponse400.  # noqa: E501


        :return: The provider_version of this InlineResponse400.  # noqa: E501
        :rtype: str
        """
        return self._provider_version

    @provider_version.setter
    def provider_version(self, provider_version):
        """Sets the provider_version of this InlineResponse400.


        :param provider_version: The provider_version of this InlineResponse400.  # noqa: E501
        :type: str
        """

        self._provider_version = provider_version

    @property
    def logo_icon(self):
        """Gets the logo_icon of this InlineResponse400.  # noqa: E501


        :return: The logo_icon of this InlineResponse400.  # noqa: E501
        :rtype: list[str]
        """
        return self._logo_icon

    @logo_icon.setter
    def logo_icon(self, logo_icon):
        """Sets the logo_icon of this InlineResponse400.


        :param logo_icon: The logo_icon of this InlineResponse400.  # noqa: E501
        :type: list[str]
        """

        self._logo_icon = logo_icon

    @property
    def bundle_id(self):
        """Gets the bundle_id of this InlineResponse400.  # noqa: E501


        :return: The bundle_id of this InlineResponse400.  # noqa: E501
        :rtype: str
        """
        return self._bundle_id

    @bundle_id.setter
    def bundle_id(self, bundle_id):
        """Sets the bundle_id of this InlineResponse400.


        :param bundle_id: The bundle_id of this InlineResponse400.  # noqa: E501
        :type: str
        """

        self._bundle_id = bundle_id

    @property
    def integration_type(self):
        """Gets the integration_type of this InlineResponse400.  # noqa: E501


        :return: The integration_type of this InlineResponse400.  # noqa: E501
        :rtype: str
        """
        return self._integration_type

    @integration_type.setter
    def integration_type(self, integration_type):
        """Sets the integration_type of this InlineResponse400.


        :param integration_type: The integration_type of this InlineResponse400.  # noqa: E501
        :type: str
        """
        allowed_values = ["vRO", "ABX"]  # noqa: E501
        if integration_type not in allowed_values:
            raise ValueError(
                "Invalid value for `integration_type` ({0}), must be one of {1}"  # noqa: E501
                .format(integration_type, allowed_values)
            )

        self._integration_type = integration_type

    @property
    def message(self):
        """Gets the message of this InlineResponse400.  # noqa: E501


        :return: The message of this InlineResponse400.  # noqa: E501
        :rtype: str
        """
        return self._message

    @message.setter
    def message(self, message):
        """Sets the message of this InlineResponse400.


        :param message: The message of this InlineResponse400.  # noqa: E501
        :type: str
        """

        self._message = message

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse400, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse400):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
